The Downtime Entry object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
{
"id": "downtime-entry_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"workstation": "workstation_example",
"from_time": "from_time_example",
"to_time": "to_time_example",
"operator": "operator_example",
"downtime": 0,
"stop_reason": "stop_reason_example",
"remarks": "remarks_example"
} /api/manufacturing/downtime-entry/{id} Retrieve a downtime entry
Retrieves the details of an existing downtime entry. Supply the unique downtime entry ID that was returned from a previous request.
Path parameters
The identifier of the downtime entry to retrieve.
Returns
Returns the downtime entry object if a valid identifier was provided.
curl https://api.overplane.dev/api/manufacturing/downtime-entry/downtime-entry_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "downtime-entry_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"workstation": "workstation_example",
"from_time": "from_time_example",
"to_time": "to_time_example",
"operator": "operator_example",
"downtime": 0,
"stop_reason": "stop_reason_example",
"remarks": "remarks_example"
} /api/manufacturing/downtime-entry List all downtime entrys
Returns a list of downtime entrys. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of downtime entry objects.
curl https://api.overplane.dev/api/manufacturing/downtime-entry \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "downtime-entry_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"workstation": "workstation_example",
"from_time": "from_time_example",
"to_time": "to_time_example",
"operator": "operator_example",
"downtime": 0,
"stop_reason": "stop_reason_example",
"remarks": "remarks_example"
}
],
"has_more": false,
"total": 1
} /api/manufacturing/downtime-entry Create a downtime entry
Creates a new downtime entry object.
Body parameters
Returns
Returns the newly created downtime entry object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/downtime-entry \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"workstation":"workstation_example","from_time":"from_time_example","to_time":"to_time_example","operator":"operator_example","stop_reason":"stop_reason_example"}' {
"id": "downtime-entry_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"workstation": "workstation_example",
"from_time": "from_time_example",
"to_time": "to_time_example",
"operator": "operator_example",
"downtime": 0,
"stop_reason": "stop_reason_example",
"remarks": "remarks_example"
} /api/manufacturing/downtime-entry/{id} Update a downtime entry
Updates the specified downtime entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the downtime entry to update.
Body parameters
Returns
Returns the updated downtime entry object.
curl https://api.overplane.dev/api/manufacturing/downtime-entry/downtime-entry_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"workstation":"workstation_example","from_time":"from_time_example"}' {
"id": "downtime-entry_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"workstation": "workstation_example",
"from_time": "from_time_example",
"to_time": "to_time_example",
"operator": "operator_example",
"downtime": 0,
"stop_reason": "stop_reason_example",
"remarks": "remarks_example"
} /api/manufacturing/downtime-entry/{id} Delete a downtime entry
Permanently deletes a downtime entry. This cannot be undone.
Path parameters
The identifier of the downtime entry to delete.
Returns
Returns a confirmation that the downtime entry has been deleted.
curl https://api.overplane.dev/api/manufacturing/downtime-entry/downtime-entry_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "downtime-entry_abc123",
"deleted": true
}